From 1266e6b6c2da1d6e0f281247760f6c1144270dfe Mon Sep 17 00:00:00 2001
From: Wei xie <xiewei@linuxdeepin.com>
Date: Tue, 2 Jan 2018 09:42:07 +0800
Subject: [PATCH] wininet: Fix crash when connection is null in
 NETCON_secure_connect

Signed-off-by: Wei xie <xiewei@linuxdeepin.com>
---
 dlls/wininet/netconnection.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dlls/wininet/netconnection.c b/dlls/wininet/netconnection.c
index bab046f579..c8bc9ae0e3 100644
--- a/dlls/wininet/netconnection.c
+++ b/dlls/wininet/netconnection.c
@@ -601,6 +601,10 @@ DWORD NETCON_secure_connect(netconn_t *connection, server_t *server)
 {
     DWORD res;
 
+    TRACE("%p %p\n", connection, server);
+    /* can't connect if netconn is invalid */
+    if (!is_valid_netconn(connection)) return ERROR_INTERNET_CANNOT_CONNECT;
+
     /* can't connect if we are already connected */
     if(connection->secure) {
         ERR("already connected\n");
-- 
2.11.0

